Bug 2070220 (CVE-2022-1055) - CVE-2022-1055 kernel: use-after-free in tc_new_tfilter() in net/sched/cls_api.c [NEEDINFO]
Summary: CVE-2022-1055 kernel: use-after-free in tc_new_tfilter() in net/sched/cls_api.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-1055
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2070221 2071704 2071705 2071706 2071707 2071708 2071709 2071710 2071711 2080193 2081283 2090410
Blocks: 2070222
TreeView+ depends on / blocked
 
Reported: 2022-03-30 16:18 UTC by Guilherme de Almeida Suckevicz
Modified: 2024-03-12 16:22 UTC (History)
50 users (show)

Fixed In Version: kernel 5.17 rc3
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free vulnerability was found in the tc_new_tfilter function in net/sched/cls_api.c in the Linux kernel. The availability of local, unprivileged user namespaces allows privilege escalation.
Clone Of:
Environment:
Last Closed: 2022-12-05 08:22:50 UTC
Embargoed:
bhu: needinfo?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:6002 0 None None None 2022-08-09 17:07:22 UTC
Red Hat Product Errata RHSA-2022:6003 0 None None None 2022-08-09 16:59:34 UTC
Red Hat Product Errata RHSA-2022:7444 0 None None None 2022-11-08 09:10:01 UTC
Red Hat Product Errata RHSA-2022:7683 0 None None None 2022-11-08 10:09:25 UTC
Red Hat Product Errata RHSA-2024:1188 0 None None None 2024-03-06 12:36:28 UTC

Description Guilherme de Almeida Suckevicz 2022-03-30 16:18:15 UTC
A use-after-free exists in the Linux Kernel in tc_new_tfilter that could allow a local attacker to gain privilege escalation. The exploit requires unprivileged user namespaces. We recommend upgrading past commit 04c2a47ffb13c29778e2a14e414ad4cb5a5db4b5

Reference and upstream patch:
https://syzkaller.appspot.com/bug?id=2212474c958978ab86525fe6832ac8102c309ffc
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=04c2a47ffb13c29778e2a14e414ad4cb5a5db4b5

Comment 1 Guilherme de Almeida Suckevicz 2022-03-30 16:19:14 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2070221]

Comment 3 Justin M. Forbes 2022-03-31 21:32:02 UTC
This was fixed for Fedora with the 5.16.6 stable kernel updates.

Comment 14 errata-xmlrpc 2022-08-09 16:59:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:6003 https://access.redhat.com/errata/RHSA-2022:6003

Comment 15 errata-xmlrpc 2022-08-09 17:07:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:6002 https://access.redhat.com/errata/RHSA-2022:6002

Comment 16 errata-xmlrpc 2022-11-08 09:09:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7444 https://access.redhat.com/errata/RHSA-2022:7444

Comment 17 errata-xmlrpc 2022-11-08 10:09:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7683 https://access.redhat.com/errata/RHSA-2022:7683

Comment 18 Product Security DevOps Team 2022-12-05 08:22:45 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-1055

Comment 22 errata-xmlrpc 2024-03-06 12:36:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2024:1188 https://access.redhat.com/errata/RHSA-2024:1188


Note You need to log in before you can comment on or make changes to this bug.